﻿@font-face {
    font-family: 'kingpowerheadline-regular';
    src: url('fonts/kingpowerheadline/kingpowerheadline-regular.eot') format('embedded-opentype'), url('fonts/kingpowerheadline/kingpowerheadline-regular.otf') format('opentype'), url('fonts/kingpowerheadline/kingpowerheadline-regular.ttf') format('truetype'), url('fonts/kingpowerheadline/kingpowerheadline-regular.woff') format('woff'), url('fonts/kingpowerheadline/kingpowerheadline-regular.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
}

:root {
    /*--font: "kingpowerheadline-bold";*/
    --font-light: "kingpowerheadline-regular";
    /* --background: #879398; */
    --background: #0B56A4;
    --background-edit: #2F4792;
    --background-navbar-light: #0B56A4;
    /*--background: #0B56A4;*/
    /*---------- dashboard ----------*/
    --box-packs: #53B7E8;
    --box-packs-font: #fff;
    --box-flights: #2F4792;
    --box-flights-font: #fff;
    --box-customers: #879398;
    --box-customers-font: #fff;
    --box-intransit: #e6a72e;
    --box-intransit-font: #fff;
    /*---------- footer ----------*/
    --text-footer-site: "PICKUP COUNTER";
    --text-footer-version: "1.0.2";
    --text-footer-year: "2025";
}

body, html, h1, h2, h3, h4, h5, h6, p, .nav {
    font-family: var(--font-light) !important;
    font-size: 14px;
}

.font {
    font-family: var(--font);
}

.font-light {
    font-family: var(--font-light);
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    /* max-width: 280px; */
}

.message-error {
    font-size: larger;
    font-weight: bold;
    color: red;
}
/*---------Footer------------*/
.main-footer-text::after {
    content: var(--text-footer-site);
}

.main-footer-year::after {
    content: var(--text-footer-year);
}

.main-footer-version::after {
    content: var(--text-footer-version);
}

/*---------Dashboard Box------------*/
.box-packs {
    background-color: var(--box-packs) !important;
    color: var(--box-packs-font);
}

.box-flights {
    background-color: var(--box-flights) !important;
    color: var( --box-flights-font);
}

.box-customers {
    background-color: var(--box-customers) !important;
    color: var( --box-customers-font);
}

/*--------------Begin-Kendo------------------*/
.k-loading-image {
}

.k-confirm .k-window-titlebar::before {
    /*content: 'Confirmation';*/
}

.k-confirm .k-window-titlebar .k-dialog-title {
    /* visibility: collapse;*/
}
/*--------------End-Kendo------------------*/

/* A Style */
.brand-link {
    text-align: center;
}

    .brand-link .brand-image {
        float: none;
        line-height: .8;
        margin-left: 0;
        margin-right: 0;
        margin-top: -3px;
        max-height: 33px;
        width: auto;
    }

.navbar-nav > .user-menu > .dropdown-menu, .navbar-nav > .user-menu > .dropdown-menu > .user-body {
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    position: absolute;
    right: 0;
    left: auto;
}

    .navbar-nav > .user-menu > .dropdown-menu > .user-footer {
        background-color: #f8f9fa;
        padding: 10px;
        text-align: center;
    }

.navbar-light {
    background-color: var(--background-navbar-light);
}

.nav-sidebar > .nav-item .nav-icon.fas {
    font-size:1.2rem !important;
}

.navbar {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: .6rem .5rem;
}

.k-draghandle.k-state-selected:hover, .k-ghost-splitbar-horizontal, .k-ghost-splitbar-vertical, .k-list > .k-state-highlight, .k-list > .k-state-selected, .k-marquee-color, .k-panel > .k-state-selected, .k-scheduler .k-scheduler-toolbar .k-state-selected, .k-scheduler .k-today.k-state-selected, .k-state-selected, .k-state-selected:link, .k-state-selected:visited, .k-tool.k-state-selected {
    color: #fff;
    background-color: #0B56A4;
    border-color: #0B56A4;
}

.k-state-selected {
    color: #fff;
    background-color: #00ADBB;
    border-color: #0B56A4;
}

.k-grid td.k-state-selected:hover, .k-grid tr.k-state-selected:hover {
    background-color: #cccccc;
    background-image: none;
}

.k-grid-header .k-header > .k-link, .k-header, .k-treemap-title {
    color: #ffffff;
}

.k-block, .k-draghandle, .k-grid-header, .k-grouping-header, .k-header, .k-pager-wrap, .k-toolbar, .k-treemap-tile, html .km-pane-wrapper .k-header {
    background-color: #eae8e800;
}

div.k-grid-footer, div.k-grid-header {
    padding-right: 17px;
    border-bottom-style: solid;
    border-bottom-width: 1px;
    zoom: 1;
    /*background: linear-gradient(90.02deg, #024DA1 26.07%, #57C0EA 99.98%);*/
    /*background-color: #0B56A4;*/
}


.k-grid .k-grid-header th {
    background-color: var(--background);
    color: white;
}

.k-autocomplete, .k-draghandle, .k-dropdown-wrap, .k-grid-header, .k-grouping-header, .k-header, .k-numeric-wrap, .k-pager-wrap, .k-panelbar .k-tabstrip-items .k-item, .k-picker-wrap, .k-progressbar, .k-state-highlight, .k-tabstrip-items .k-item, .k-textbox, .k-toolbar, .km-pane-wrapper > .km-pane > .km-view > .km-content {
    background-image: url(textures/highlight.png);
    background-image: none,-webkit-gradient(linear,left top,left bottom,from(rgb(255 255 255 / 0%)),to(rgba(255,255,255,0)));
    background-image: none,-webkit-linear-gradient(top,rgb(255 255 255 / 0%) 0,rgba(255,255,255,0) 100%);
    background-image: none,linear-gradient(to bottom,rgb(255 255 255 / 0%) 0,rgba(255,255,255,0) 100%);
    background-position: 50% 50%;
    background-color: #eae8e800;
}

.k-grid tr:hover {
    background-color: transparent;
    /*background-image: url(textures/highlight.png);
    background-image: none,-webkit-gradient(linear,left top,left bottom,from(rgba(255,255,255,.4)),to(rgba(255,255,255,0)));
    background-image: none,-webkit-linear-gradient(top,rgba(255,255,255,.4) 0,rgba(255,255,255,0) 100%);
    background-image: none,linear-gradient(to bottom,rgba(255,255,255,.4) 0,rgba(255,255,255,0) 100%);
    background-position: 50% 50%;*/
}


.card-header {
    background-color: transparent;
    border-bottom: 1px solid rgba(0,0,0,.125);
    padding: .75rem 1.25rem;
    position: relative;
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;
    /*background-image: url(images/logo-gold.svg);*/
}
/* End a style */

.required:after {
    content: " *";
    color: red;
}

.box-tranfer-list {
    color: #856404 !important;
    background-color: #fff3cd !important;
    border-color: #ffeeba !important;
    font-weight: bold !important;
}

.box-transit-list {
    color: #842029 !important;
    background-color: #f8d7da !important;
    border-color: #f5c2c7 !important;
    font-weight: bold !important;
}

.card-header-edit {
    background-color: var(--background-edit);
    color: white;
}

